﻿var app = angular.module("app", ['ngTable',  
    'ngAnimate', 'ui.bootstrap', 'ui-notification', 'ngSanitize']);
 
app.config(['$compileProvider', function ($compileProvider) {
    $compileProvider.imgSrcSanitizationWhitelist(/^\s*(https?|local|data|chrome-extension):/);
}]);
app.filter('greaterThen', function () {
    return function (data, value, key) {
        return data.filter(function (item) {
            if (item[key]) {
                return item[key] >= value
            }
        })
    }
})
app.filter('include', function () {
    return function (data, value, key) {
        return data.filter(function (item) {
            if (item[key]) {
                return item[key].toString().trim().toLowerCase().indexOf(value.toLowerCase()) > -1
            }
        })
    }
})
app.filter('trustAsResourceUrl', ['$sce', function ($sce) {
    return function (val) {
        return $sce.trustAsResourceUrl(val);
    };
}])


app.filter('unique', function () {
    return function (arr, field) {
        return _.uniq(arr, function (a) { return a[field]; });
    };
});


app.filter('CheckLengthDesc', function () {
    return function (Description) {
        if (Description.length > 165) {
            var arr = Description.substring(0, 165).split(' ');
            var temparr = arr
            temparr.pop();
            return temparr.join(' ') + "...";
        }
        else {
            return Description;
        }
    };
});

app.filter('FilterData', function () {
    return function (number,item) {
        if (item.SevenDaysPurchase == 0 && item.ThirtyDaysPurchase==0) {
            return number;
        }
        else {
            return number;
        }
    };
});



app.filter('DescStatusMeal', function () {
    return function (DescStatusMeal) {
        switch (DescStatusMeal.toString()) {
            case "0":
                return "Active";
                break;
            case "1":
                return "Sold";
                break;


            default:
                return "---";
                break;
        }
    };
});

app.filter('FilterStatusPnia', function () {
    return function (StatusID) {

        var arr = getCookie("StaticData")

        if (arr != null) {
            var x = JSON.parse(arr).StatusPnia;

            for (var i = 0; i < x.length; i++) {
                if (x[i].Value == StatusID.toString()) {
                    return x[i].Desc
                }
            }
        }
    };
});
app.filter('SCheckLengthDesc', function () {
    return function (Description) {
        if (Description.length > 100) {
            var arr = Description.substring(0, 100).split(' ');
            var temparr = arr
            temparr.pop();
            return temparr.join(' ') + "...";
        }
        else {
            return Description;
        }
    };
});
app.filter('GetReligious', function () {
    return function (Religious) {
        switch (Religious.toString()) {
            case "1":
                return "מסורתי";
                break;
            case "2":
                return "חרדי";
                break;
            case "3":
                return "חילוני";
                break;
            case "4":
                return "דתי לאומי";
                break;
            case "5":
                return "קונסרבטיבי";
                break;
            case "6":
                return "רפורמי";
                break;
            case "7":
                return "לא יהודי";
                break;


            default:
                return "אתאיסט";
                break;
        }
    };
});


app.filter('FilterTypeAccomation', function () {
    return function (TypeAccomation) {
        switch (TypeAccomation.toString()) {
            case "1":
                return "שישי";
                break;
            case "2":
                return "שבת";
                break;
            case "3":
                return "שישי ושבת";
                break;


            default:
                return "שישי ושבת";
                break;
        }
    };
});
 